%define         gst_majorminor	0.10

Name:           gstreamer-plugins-farsight
Version:        0.12.5
Release:        1%{?dist}
Summary:        GStreamer plug-ins for farsight protocol

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://projects.collabora.co.uk/darcs/farsight/
Source0:        http://farsight.freedesktop.org/releases/gst-plugins-farsight/gst-plugins-farsight-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gstreamer-devel >= 0.10.11
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	libjingle-devel
BuildRequires:	jasper-devel
BuildRequires:	jrtplib-devel >= 3.3.0
BuildRequires:	gsm-devel
BuildRequires:	GConf2-devel


%description
This is a set of plugins for GStreamer that will be used by Farsight for
Audio/Video conferencing.


%prep
%setup -q -n gst-plugins-farsight-%{version}


%build
%configure --disable-static	\
	   --disable-mimic
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/gstreamer-%{gst_majorminor}/*.so


%changelog
* Tue Sep 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.5-1
- Update to 0.12.5.
- Drop memset patch, fixed upstream.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-3
- Rebuild.

* Wed Aug  8 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-2
- Add patch to fix memset problem. (thanks to Dave Jones for pointing this out).
- Update license tag.

* Mon Jul 30 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.2-1
- Update to 0.12.2.

* Mon Jun 11 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.1-3
- Correct URL. (#242407)

* Thu May 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.1-2
- Add BR for GConf2-devel & gsm-devel to build additional plugins.

* Thu May 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.1-1
- Update to 0.12.1.
- Bump minimum version of gstreamer needed.
- Update source url.

* Mon Apr 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0.
- Add BR on jasper-devel & jrtplib-devel to build additional plugins.

* Fri Dec 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.10.2-2
- Rename gstreamer macro.

* Thu Sep 21 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.10.2-1
- Initial FE spec.

